import { Component, OnInit, ViewChild } from '@angular/core';
import { IgxCalendarComponent } from 'igniteui-angular';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})

export class AppComponent implements OnInit {
  @ViewChild("calendar1", { read: IgxCalendarComponent, static: true}) public calendar1: IgxCalendarComponent;

  title = 'kb5236-app1';

  constructor(){}

  ngOnInit(): void {
    this.calendar1.selectDate([ new Date(2020, 11, 1), new Date(2020, 11, 5)]);
  }
}
